Connexion

Forum

Logiciels » Bureautique [Réglé] Mise à jour Calibre La mise à jour de calibre n'est manifestement pas possible

marcusmau Membre non connecté

Rang

Avatar

Inscrit le : 24/06/2008 à 10h42

Localisation : Ile-de-France, Paris

Messages: 277

Le 20/10/2018 à 07h49
Bonjour,
Hier soir et à nouveau ce matin, la mise à jour de Calibre de la version 2.85.1-2.mga6 x86_64 vers la version 3.27.1-2.mga6 x86_64 m'est proposé mais ne peut pas se faire :
Citation :
Désolé, le paquetage suivant ne peut pas être sélectionné :

- calibre-3.27.1-2.mga6.x86_64

J'ai donc désinstallé manuellement l'ancienne version de Calibre pour installer manuellement la nouvelle version mais j'obtiens un message me signalant que la dépendance python-html5-parser 0.4.4-1.1.mga6 n'est pas satisfaite. Je tente donc d'installer manuellement ce paquet et là j'obtiens :
Citation :
Désolé, le paquetage suivant ne peut pas être sélectionné :

- python-html5-parser-0.4.4-1.1.mga6.x86_64 (car pythonegg(2)(lxml)[>= 3.8.0] est non satisfait)

J'ai voulu poursuivre mais pythonegg est introuvable ....


<Mageia 6 64 & KDE 4.14><Asus X42F-VX141V><Proc INTEL Core i3-350M @ 2.27 GHz >< RAM - 3 Go DDR3><puce graphique intel><écran LED 16/9 @ 1366*768>
<Mageia 6 64 & Plasma 5><Asus K751LB-TY049H><Proc INTEL Core i7-5500u @ 2.7 GHz><RAM - 6 Go DDR3><puce graphique intel et NVidia GeForce 940M><écran LED 16/9 @ 1600*900>
   
stroibe974 Membre non connecté

Rang

Avatar

Modérateur

Inscrit le : 13/08/2018 à 16h22

Localisation : Réunion

Messages: 1013

Le 20/10/2018 à 08h01
marcusmau :
Bonjour,
Hier soir et à nouveau ce matin, la mise à jour de Calibre de la version 2.85.1-2.mga6 x86_64 vers la version 3.27.1-2.mga6 x86_64 m'est proposé mais ne peut pas se faire :


Bonjour !
Je n'ai pas de solution (à part peut-être installer la version 3.32 disponible en flatpak si c'est vraiment très urgent : voir le guide d'installation de flatpak sur Mageia d'abord).
Mais il y a déjà un rapport sur Bugzilla, donc c'est bon signe !


Mageia 7 (64bits) - Plasma - Intel Core i7-8700K @ 3.70Ghz - 16Go RAM
frenchmageiauser_9c2c8
   
OPS56 Membre non connecté

Rang

Avatar

Inscrit le : 18/11/2008 à 18h55

Localisation : Morbihan

Messages: 1511

Le 20/10/2018 à 09h14
Salut,

Même soucis chez moi.

Il y a apparemment déjà un rapport de bug sur le sujet : https://bugs.mageia.org/show_bug.cgi?id=23737

@+


frenchmageiauser_a1258
Asus X71SL Intel P7350 - 4Go Ram - Nvidia 9300m GS (Tri boot Mageia 7- 64 bits - Plasma 5.15.4 / Open suse 15.1 Plasma 5.12.8 / Windows 8.1)
Core i5 760 - 8Go Ram - Nvidia Gforce 450 - (Triple boot Mageia 7-64 bits - Plasma 5.15.4 / Mint 18.1 Cinamon / Open Suse 15.1 Plasma 5.12.8)
   
Meuz Membre non connecté

Rang

Avatar

Inscrit le : 06/08/2011 à 11h50

Messages: 1140

Le 20/10/2018 à 11h27

Code TEXT :
# urpmi python-html5-parser
Le paquetage demandé ne peut pas être installé :
python-html5-parser-0.4.4-1.1.mga6.x86_64 (car pythonegg(2)(lxml)[>= 3.8.0] est non satisfait)
Désirez-vous tout de même continuer ? (O/n)

et pour ce pythonegg.py
Code TEXT :
# rpm -qf /usr/lib/rpm/mageia/pythoneggs.py
rpm-mageia-setup-build-2.20.1-1.mga6
 


   
OPS56 Membre non connecté

Rang

Avatar

Inscrit le : 18/11/2008 à 18h55

Localisation : Morbihan

Messages: 1511

Le 20/10/2018 à 11h57
Salut Meuz,

Meuz :

Code TEXT :
# urpmi python-html5-parser
Le paquetage demandé ne peut pas être installé :
python-html5-parser-0.4.4-1.1.mga6.x86_64 (car pythonegg(2)(lxml)[>= 3.8.0] est non satisfait)
Désirez-vous tout de même continuer ? (O/n)

et pour ce pythonegg.py
Code TEXT :
# rpm -qf /usr/lib/rpm/mageia/pythoneggs.py
rpm-mageia-setup-build-2.20.1-1.mga6
 




Voici ce que ça donne pour moi
Code TEXT :
[root@Fixe ~]# urpmi python-html5-parser 
Le paquetage demandé ne peut pas être installé :
python-html5-parser-0.4.4-1.1.mga6.x86_64 (car pythonegg(2)(lxml)[>= 3.8.0] est non satisfait)
Désirez-vous tout de même continuer ? (O/n) o
Certains paquets ont été installés mais d'autres ont échoué.
Le paquetage demandé ne peut pas être installé :
python-html5-parser-0.4.4-1.1.mga6.x86_64 (car pythonegg(2)(lxml)[>= 3.8.0] est non satisfait)
Désirez-vous tout de même continuer ?
[root@Fixe ~]# rpm -qf /usr/lib/rpm/mageia/pythoneggs.py
erreur : fichier /usr/lib/rpm/mageia/pythoneggs.py : Aucun fichier ou dossier de ce type
[root@Fixe ~]# rpm-mageia-setup-build-2.20.1-1.mga6
-bash: rpm-mageia-setup-build-2.20.1-1.mga6 : commande introuvable
 


Pas très concluant :malade: Edité par OPS56 Le 20/10/2018 à 11h58


frenchmageiauser_a1258
Asus X71SL Intel P7350 - 4Go Ram - Nvidia 9300m GS (Tri boot Mageia 7- 64 bits - Plasma 5.15.4 / Open suse 15.1 Plasma 5.12.8 / Windows 8.1)
Core i5 760 - 8Go Ram - Nvidia Gforce 450 - (Triple boot Mageia 7-64 bits - Plasma 5.15.4 / Mint 18.1 Cinamon / Open Suse 15.1 Plasma 5.12.8)
   
nic80 Membre non connecté

Rang

Avatar

Inscrit le : 06/08/2018 à 23h52

Messages: 1525

Le 20/10/2018 à 13h20
Bonjour,

rpm-mageia-setup-build-2.20.1-1.mga6 est un paquet et non pas une commande...

Par contre, je pense plutôt que ce qui manque, c' est le module python lxml en version >= 3.8.0

Alors je me suis dit que je pouvais peut être l' installer à la main ( après installation du paquet python-pip (pip permet l' installation de modules python)), mais non ça ne marche pas...

un pip3 install lxml indique que la version installée est la version 3.6.0

Code BASH :
pip3 install --upgrade lxml
Collecting lxml
  Using cached https://files.pythonhosted.org/packages/4b/20/ddf5eb3bd5c57582d2b4652b4bbcf8da301bdfe5d805cb94e805f4d7464d/lxml-4.2.5.tar.gz
Installing collected packages: lxml
  Found existing installation: lxml 3.6.0


Edité par nic80 Le 20/10/2018 à 13h27
   
Meuz Membre non connecté

Rang

Avatar

Inscrit le : 06/08/2011 à 11h50

Messages: 1140

Le 20/10/2018 à 14h07
Il en existe une mise à jour, python-lxml-3.8, mais elle n'est pas dans la base de données.

Edit
@marcusmau
Flatpak : j'ai rédigé un tuto sur mageia-online plus complet et en français. Edité par Meuz Le 20/10/2018 à 14h26
   
nic80 Membre non connecté

Rang

Avatar

Inscrit le : 06/08/2018 à 23h52

Messages: 1525

Le 20/10/2018 à 14h31
Bonjour,

Il n' y a donc qu' a attendre que la mise à jour passe de updates-testing à updates ... ou d' activer temporairement le dépot updates-testing ( mais il y a un risque de récupérer d' autres paquets) Edité par nic80 Le 20/10/2018 à 14h37
   
OPS56 Membre non connecté

Rang

Avatar

Inscrit le : 18/11/2008 à 18h55

Localisation : Morbihan

Messages: 1511

Le 20/10/2018 à 15h27
Salut,

Bien, j'ai récupéré le paquet ici : http://distrib-coffee.ipsl.jussieu.fr/pub/linux/Mageia/distrib/6/x86_64/media/core/updates_testing/

Je l'ai téléchargé et installé, la mise à jour de calibre est ensuite passée :)


frenchmageiauser_a1258
Asus X71SL Intel P7350 - 4Go Ram - Nvidia 9300m GS (Tri boot Mageia 7- 64 bits - Plasma 5.15.4 / Open suse 15.1 Plasma 5.12.8 / Windows 8.1)
Core i5 760 - 8Go Ram - Nvidia Gforce 450 - (Triple boot Mageia 7-64 bits - Plasma 5.15.4 / Mint 18.1 Cinamon / Open Suse 15.1 Plasma 5.12.8)
   
marcusmau Membre non connecté

Rang

Avatar

Inscrit le : 24/06/2008 à 10h42

Localisation : Ile-de-France, Paris

Messages: 277

Le 20/10/2018 à 16h33
Bonjour,
Comme OPS56 l'indique, j'ai également téléchargé et installé http://distrib-coffee.ipsl.jussieu.fr/pub/linux/Mageia/distrib/6/x86_64/media/core/updates_testing/python-lxml-3.8.0-1.1.mga6.x86_64.rpm puis j'ai effectué sans problème la mise à jour de Calibre Edité par marcusmau Le 20/10/2018 à 16h34


<Mageia 6 64 & KDE 4.14><Asus X42F-VX141V><Proc INTEL Core i3-350M @ 2.27 GHz >< RAM - 3 Go DDR3><puce graphique intel><écran LED 16/9 @ 1366*768>
<Mageia 6 64 & Plasma 5><Asus K751LB-TY049H><Proc INTEL Core i7-5500u @ 2.7 GHz><RAM - 6 Go DDR3><puce graphique intel et NVidia GeForce 940M><écran LED 16/9 @ 1600*900>
   
nic80 Membre non connecté

Rang

Avatar

Inscrit le : 06/08/2018 à 23h52

Messages: 1525

Le 20/10/2018 à 17h10
Bonjour,

le bug est passé en solved...

Calibre m' a de nouveau été proposé en mise à jour avec le nouveau python-lxml donc normallement, il n' y a plus de raison d' aller chercher le paquet sur l' updates-testing.
   
OPS56 Membre non connecté

Rang

Avatar

Inscrit le : 18/11/2008 à 18h55

Localisation : Morbihan

Messages: 1511

Le 20/10/2018 à 17h12
J'ai remonté sur le bugzilla le fait que le paquet était toujours dans les dépôts testing et je viens d'avoir un retour.
Le paquet vient d'être mis dans les dépôts principaux. Le temps que les serveurs se synchronisent et ça devrait rentrer dans l'ordre pour tout le monde.

@+


frenchmageiauser_a1258
Asus X71SL Intel P7350 - 4Go Ram - Nvidia 9300m GS (Tri boot Mageia 7- 64 bits - Plasma 5.15.4 / Open suse 15.1 Plasma 5.12.8 / Windows 8.1)
Core i5 760 - 8Go Ram - Nvidia Gforce 450 - (Triple boot Mageia 7-64 bits - Plasma 5.15.4 / Mint 18.1 Cinamon / Open Suse 15.1 Plasma 5.12.8)
   
Ysabeau Membre non connecté

Rang

Avatar

Inscrit le : 09/08/2015 à 17h23

Messages: 940

Le 20/10/2018 à 19h26
Ouaip, je viens de faire une mise à jour, c'est nickel !


OS préféré Mageia 6 (LXDE) et 7 (XFCE), CMS préféré SPIP, suite bureautique préférée LibreOffice, logiciel de dessin préféré Inkscape.
Site web    
teutates Membre non connecté

Rang

Avatar

Inscrit le : 24/09/2011 à 01h41

Localisation : Ariège

Messages: 1305

Le 20/10/2018 à 22h51
Bonjour,

Je confirme : impossible hier de mettre à jour calibre mais la mise à jour est passé correctement aujourd'hui.


Toco y se gausos !
Asus P8Z68-V/GEN3 + Intel Core i2700k + RAM G-Skill 4x4Go PC 12800 + Gainward Geforce GTX 560 - 2 Go + Western Digital Velociraptor 300 Go (Mageia Cauldron / Fedora / Debian / Manjaro / Windows 10) + Seagate Barracuda 7200t/mn - 2 To - Sata 3 (data) + SSD Samsung 64 Go - Sata 3 (Mageia stable)
Site web    
Répondre
Vous n'êtes pas autorisé à écrire dans cette catégorie